unit -->GrammarTestHarness_Main;

(* NOTE: Any changes made to this file may be overwritten when it gets regenerated
  from within ParserBuilder *)


interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, Buttons, -->GrammarParser;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Memo1: TMemo;
    Splitter1: TSplitter;
    Memo2: TMemo;
    BitBtn1: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
  private
    { Private declarations }
    F-->GrammarParser : T-->GrammarParser;
    Procedure DoParse;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.DoParse;
begin
  F-->GrammarParser.SourceString := Memo1.Lines.Text;
  F-->GrammarParser.Parse;
  Memo2.Lines.Text := F-->GrammarParser.lst.DataString;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  F-->GrammarParser := T-->GrammarParser.Create;
  Caption := '-->Grammar Parser Test Harness';
  if FileExists('sample.txt') then
  Memo1.Lines.LoadFromFile('sample.txt');
  Memo2.Lines.Add('Drag a file into the top memo to load it.');
  Memo2.Lines.Add('Drag file(s) into the bottom memo to parse in bulk.');
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  Memo1.Lines.SaveToFile('sample.txt');
  F-->GrammarParser.Free;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  DoParse;
end;

end.  -->End.
