{-----------------------------------------------------------------------------
 Unit Name: CocoGUITable
 Author:    Administrator
 Purpose: Holds a table of positions of key text within the ATG file
          Used in importing the ATG for the purpose of building the GUI.
-----------------------------------------------------------------------------}


unit CocoGUITable;

interface

uses  Windows, Messages, SysUtils, Classes, pbCocoTable;

type
  TCocoGUITable = class(TObject)
  public
    useDeclPos: TPosition;
    hasUses: boolean;
    hasGlobal: boolean;
    GlobalPos: Tposition;
    hasPrivate: boolean;
    PrivatePos: Tposition;
    hasProtected: boolean;
    ProtectedPos: Tposition;
    hasPublic: boolean;
    PublicPos: Tposition;
    hasPublished: boolean;
    PublishedPos: Tposition;
    hasCreate: boolean;
    CreatePos: Tposition;
    hasDestroy: boolean;
    DestroyPos: Tposition;
    hasArbitraryCode: boolean;
    ArbitraryCodePos: Tposition;

  end;


implementation

{ TCocoGUITable }

end.
